Subject: Re: AMCC 440EP phy detection

From: Stefan Roese <[email-masked]>
Date: Wed, 8 Apr 2009 20:19:06 +0200

On Wednesday 08 April 2009, Grant Likely wrote:
> >> I would like to eventually submit our changes for upstream support.
> >> Based on this would you recommend ensuring tx enable is configured
> >> properly in the initialization of the ibm_newemac driver or the platform
> >> initialization?
> >
> > This GPIO multiplexing configuration does not belong into the ibm_newemac
> > driver since it is very platform/board specific. The platform code is
> > definitely a better place.
>
> Even better is the platform specific boot code (firmware or equivalent)

Ack. We usually do all this setup in U-Boot. But as I understand Eddie, he is 
using a custom bootloader.

Eddie, btw: Why are you not using U-Boot?

Best regards,
Stefan